Bug 1007233 - The HttpMessageComposer sets status 502 in case of any error
The HttpMessageComposer sets status 502 in case of any error
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Magesh Kumar Bojan
Pavel Drozd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 03:39 EDT by Pavel Drozd
Modified: 2015-10-18 18:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (6.25 KB, application/x-java-archive)
2013-09-17 02:39 EDT, Pavel Drozd
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1766 Major Closed The HttpMessageComposer sets status 502 in case of any error 2014-06-16 19:47:52 EDT

  None (edit)
Description Pavel Drozd 2013-09-12 03:39:17 EDT
Description of problem:
The switchayrd services with Basic authentication and http binding returns response code 502 when incorrect password/username is provided. 

The expected response code is 500.
Comment 1 Keith Babo 2013-09-16 08:56:28 EDT
Can you share an app to reproduce this issue?  HTTP authentication should delegate to the underlying JBoss Web container.
Comment 2 Pavel Drozd 2013-09-17 02:39:42 EDT
Created attachment 798620 [details]
reproducer

Send request with authorization header (role guest) to:

http://${server.host}:8080/performance-binding-http-secured-basic/CustomService/sayHello
Comment 3 JBoss JIRA Server 2013-10-24 16:53:10 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1766

pushed
Comment 4 Pavel Drozd 2013-12-17 01:56:22 EST
Verified on FSW 600ER7
Comment 5 JBoss JIRA Server 2014-06-16 19:47:53 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1766 to Closed

Note You need to log in before you can comment on or make changes to this bug.